package com.example.tommy.listenertestd1;

import android.support.design.widget.Snackbar;
import android.view.View;
import android.widget.Button;

// 疑似イベント発生クラス　
// ボタンが5の倍数回押されたときに疑似イベントが発生する。
// 通常の押され方と長押しを区別して数えているため，2種類の疑似イベントを発生させている。
// MainActivityのリスナにイベント発生のみを知らせる場合と，値を伴ってイベント発生を知らせるパタンを示している。
public class EventDetector {
    private TestListener mTestListenerED;
    private int scCount=0;
    private int lcCount=0;

    public void setListener(TestListener tl) {
        mTestListenerED=tl;
    }

    public void initEventDetector(MainActivity mMainActivity) {
        Button mButton=(Button) mMainActivity.findViewById(R.id.button0);

        //2種類のボタンイベントを取得出来るようにする。
        mButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Snackbar.make(view, "BUTTON: short clicked", Snackbar.LENGTH_LONG)
                        .setAction("Action", null).show();
                if(++scCount%5==0) {
                    mTestListenerED.testtestSC();         //MainActivityにイベント発生を通知
                }
            }
        });
        mButton.setOnLongClickListener(new View.OnLongClickListener() {
            @Override
            public boolean onLongClick(View view) {
                Snackbar.make(view, "BUTTON: Long clicked", Snackbar.LENGTH_LONG)
                        .setAction("Action", null).show();
                if (++lcCount%5==0) {
                    mTestListenerED.testtestLC(lcCount);  //MainActivityにイベント発生を通知
                }
                return true;                     //falseだとonclickも呼び出されてしまう
            }
        });
    }

    public int getSCCount() {                 //聞かれたら教える
        return scCount;
    }
}