package com.example.tommy.listenertestd1;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.widget.Toast;

// 疑似イベント発生クラス　
// ボタンが5の倍数回押されたときに疑似イベントが発生する。
// 通常の押され方と長押しを区別して数えているため，2種類の疑似イベントを発生させている。
// MainActivityのリスナにイベント発生のみを知らせる場合と，値を伴ってイベント発生を知らせるパタンを示している。
public class MainActivity extends AppCompatActivity {

    private int totaleventcount=0;
    private EventDetector mEventDetector= new EventDetector(); //イベントが発生する場所
    private TestListener mTestListener
            = new TestListener () {
        @Override
        public void testtestSC() {                         //イベントお知らせメソッド
            int num=mEventDetector.getSCCount();
            totaleventcount++;
            Toast.makeText(MainActivity.this, "LISTENER: Short Click count= "
                    + num + " (" + totaleventcount + ")", Toast.LENGTH_SHORT).show();
        }
        @Override
        public void testtestLC(int num) {                 //イベントお知らせメソッド
            totaleventcount++;
            Toast.makeText(MainActivity.this, "LISTENER: Long Click count= "
                    + num + " (" + totaleventcount + ")", Toast.LENGTH_SHORT).show();
        }
    };

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mEventDetector.initEventDetector(this);       //mEventDetectorを初期化
        mEventDetector.setListener(mTestListener);     //mEventDetectorにmTestListenerを登録
    }
}
